### Method

# WebKit NetworkSession prefetch_dns

since: 2.40

#### Declaration [src]

    void
    webkit_network_session_prefetch_dns (
      WebKitNetworkSession* session,
      const char* hostname
    )

#### Description [src]

Resolve the domain name of the given `hostname` in advance, so that if a URI of `hostname` is requested the load will be performed more quickly.

Available since: 2.40

#### Parameters

`hostname`

  Type: `const char*`

  A hostname to be resolved.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.